### Function

# EBookContacts PhoneNumber compare_strings_with_region

since: 3.8

#### Declaration [src]

    EPhoneNumberMatch
    e_phone_number_compare_strings_with_region (
      const gchar* first_number,
      const gchar* second_number,
      const gchar* region_code,
      GError** error
    )

#### Description [src]

Compares two phone numbers within the context of `region_code`.

Available since: 3.8

#### Parameters

`first_number`

  Type: `const gchar*`

  The first EPhoneNumber to compare.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`second_number`

  Type: `const gchar*`

  The second EPhoneNumber to compare.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`region_code`

  Type: `const gchar*`

  A two-letter country code, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `EPhoneNumberMatch`

The quality of matching for the two phone numbers.